Name:		contact-lookup-applet
Version:	0.17
Release:	4%{?dist}
Summary:	Contact Lookup Applet

Group:		Applications/Communications
License:	GPLv2+
URL:		http://www.burtonini.com/blog/computers/contact-lookup-applet-2008-12-10-16-55
Source0:	http://www.burtonini.com/computing/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gnome-panel-devel >= 2.9.4
BuildRequires:	evolution-data-server-devel >= 1.2.0
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	intltool


%description
This applet allows you to search your Evolution 2 address book for people. To
use, simply add it to your panel (Add to Panel -> Accessories -> Address book
Lookup), type a name into the field, and hit [return] or Search.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libexecdir}/%{name}
%{_libdir}/bonobo/servers/*.server
%dir %{_datadir}/lookup-applet
%{_datadir}/lookup-applet/*.xml
%{_datadir}/lookup-applet/%{name}.glade


%changelog
* Mon Jun 28 2010 Matthew Barnes <mbarnes@redhat.com> - 0.17-4
- Rebuild against newer libedataserver.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.17-1
- Update to 0.17.
- Add BR on intltool.
- Drop search patch. Fixed upstream.
- Drop sources patch. Fixed upsteam.

* Wed May 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.16-6
- Rebuild for new e-d-s.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.16-5
- Rebuild for gcc-4.3.

* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-4
- Add sources patch to remove the need to set autocompletion. (Bastien Nocera)
- Add search patch to not search if ebook hasn't been opened yet.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-3
- Rebuild.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-2
- Update license tag.

* Thu May 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-1
- Update to 0.16.

* Sat Oct 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-2
- Rebuild for new eds.

* Mon Oct 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-1
- Update to 0.15.
- Drop evolution api change patch.

* Sun Sep 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.14-4
- Rebuild for FC6.
- Add patch to fix build due to EContactPhoto API change.

* Tue May 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.14-3
- Update to 0.14.
- Drop BR on gettext.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.13-9
- Drop unnecessary BR (libgnomeui-devel).

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 0.13-8
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Brian Pepple <bdpepple@ameritech.net> - 0.13-7
- Bump.

* Sat Jan 28 2006 Brian Pepple <bdpepple@ameritech.net> - 0.13-6
- rebuild against new e-d-s.

* Tue Jan 17 2006 Brian Pepple <bdpepple@ameritech.net> - 0.13-5
- Rebuild for evolution-data-server dep.
- Bump.

* Tue Aug 16 2005 Brian Pepple <bdpepple@ameritech.net> - 0.13-3
- Rebuild for cairo dep.

* Sun Jul 24 2005 Brian Pepple <bdpepple@ameritech.net> - 0.13-2
- Update to 0.13.

* Tue May 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.12-3
- Remove hard-coded dist tag.

* Tue Apr 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.12-2.fc4
- Correct URL.

* Mon Apr 11 2005 Brian Pepple <bdpepple@ameritech.net> - 0.12-1.fc4
- Update to 0.12.

* Tue Mar 29 2005 Brian Pepple <bdpepple@ameritech.net> - 0.11-2.fc4
- Added dist tag.

* Tue Mar 29 2005 Brian Pepple <bdpepple@ameritech.net> - 0.11-1
- Updated to 0.11.
- Drop BuildRequires for gtk2-devel.
- Bump gnome-panel-devel & evolution-data-server-devel versions to minimum needed.

* Mon Mar 21 2005 Brian Pepple <bdpepple@ameritech.net> - 0.10-2
- fixed ownership of %%{_datadir}.

* Mon Mar 14 2005 Brian Pepple <bdpepple@ameritech.net> - 0.10-1
- Initial Fedora Extras build.
